# Record TCefV8Context

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefV8Context = record`

## Description

Structure representing a V8 context handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Implemented by ICefv8Context.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_context_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_task_runner: function(self: PCefv8Context): PCefTaskRunner; stdcall;`
| `is_valid: function(self: PCefv8Context): Integer; stdcall;`
| `get_browser: function(self: PCefv8Context): PCefBrowser; stdcall;`
| `get_frame: function(self: PCefv8Context): PCefFrame; stdcall;`
| `get_global: function(self: PCefv8Context): PCefv8Value; stdcall;`
| `enter: function(self: PCefv8Context): Integer; stdcall;`
| `exit: function(self: PCefv8Context): Integer; stdcall;`
| `is_same: function(self, that: PCefv8Context): Integer; stdcall;`
| `eval: function(self: PCefv8Context; const code, script_url: PCefString; start_line: integer; var retval: PCefv8Value; var exception: PCefV8Exception): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_task_runner: function(self: PCefv8Context): PCefTaskRunner; stdcall;`
This item has no description.

| `is_valid: function(self: PCefv8Context): Integer; stdcall;`
This item has no description.

| `get_browser: function(self: PCefv8Context): PCefBrowser; stdcall;`
This item has no description.

| `get_frame: function(self: PCefv8Context): PCefFrame; stdcall;`
This item has no description.

| `get_global: function(self: PCefv8Context): PCefv8Value; stdcall;`
This item has no description.

| `enter: function(self: PCefv8Context): Integer; stdcall;`
This item has no description.

| `exit: function(self: PCefv8Context): Integer; stdcall;`
This item has no description.

| `is_same: function(self, that: PCefv8Context): Integer; stdcall;`
This item has no description.

| `eval: function(self: PCefv8Context; const code, script_url: PCefString; start_line: integer; var retval: PCefv8Value; var exception: PCefV8Exception): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.